Package org.eclipse.rdf4j.spring.dao.exception

## Class UnsupportedDataTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.spring.dao.exception.RDF4JSpringException
          - - org.eclipse.rdf4j.spring.dao.exception.RDF4JDaoException
            - - org.eclipse.rdf4j.spring.dao.exception.UnexpectedResultException
              - - org.eclipse.rdf4j.spring.dao.exception.UnsupportedDataTypeException

- All Implemented Interfaces:
    `Serializable`

      public class UnsupportedDataTypeException
      extends UnexpectedResultException

  Since:
    4.0.0
  Author:
    Florian Kleedorfer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedDataTypeException()` |
    `UnsupportedDataTypeException​(String message)` |
    `UnsupportedDataTypeException​(String message, Throwable cause)` |
    `UnsupportedDataTypeException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException()

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException​(String message)

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException​(String message,
                                              Throwable cause)

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException​(Throwable cause)